lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "storage/version"

Gem::Specification.new do |spec|
  spec.name          = 'dmx-storage'
  spec.version       = ENV['GEM_VERSION'] || Storage::VERSION
  spec.authors       = ["CCTV"]
  spec.email         = ["ben@dee.mx"]
  spec.summary       = %q{Write a short summary, because RubyGems requires one.}
  spec.description   = %q{Write a longer description or delete this line.}
  spec.homepage      = 'http://github.com'
  spec.license       = 'MIT'

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  spec.metadata['homepage_uri']      = spec.homepage
  spec.metadata['source_code_uri']   = 'http://github.com'
  spec.metadata['changelog_uri']     = 'http://github.com'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'hashugar', '~> 1.0.1'
  spec.add_dependency 'dotenv', '~> 2.7.5'
  spec.add_dependency 'algoliasearch', '~> 1.27.1'
  spec.add_dependency 'activesupport', '~> 6.0.0'

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'webmock', '~> 3.7.6'
  spec.add_development_dependency 'byebug', '~> 11.0.1'
end
